module Main where

import Data.Set as Set

----------------------------------------------------------------------

deadState :: Node -> Bool
deadState (n,s,ls) = ls == []

dumpNodes :: [Node] -> String
dumpNodes [] = []
dumpNodes ((n,((am1,pc1,ci1,pv1),(am2,pc2,ci2,pv2)),ls):nodes)
  = "(" ++ (show n) ++ "), "
  ++ "A: (" ++ (show am1) ++ "," ++ (show pc1) ++ "," ++ (show (toList ci1)) ++ "," ++ (show pv1) ++"), "
  ++ "B: (" ++ (show am2) ++ "," ++ (show pc2) ++ "," ++ (show (toList ci2)) ++ "," ++ (show pv2) ++")\\n"
  ++ dumpNodes nodes


main = do 
  putStrLn (dumpNodes (Prelude.filter deadState lts))
